Passer au contenu principal
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Lister les fichiers du blueprint
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blueprint_id": "<string>",
      "created_at": 123,
      "env_var_name": "<string>",
      "file_id": "<string>",
      "name": "<string>",
      "size_bytes": 123,
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Nécessite un utilisateur de service avec l’autorisation ManageRepoBlueprints au niveau de l’organisation.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

blueprint_id
string
requis

Réponse

Réponse réussie

Enveloppe de liste pour les fichiers de blueprint.

data
BlueprintFile · object[]
requis